package com.liangjian.dataplatform.member.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/26 13:44
 */
@ApiModel("布局信息")
@JsonIgnoreProperties(ignoreUnknown = true)
public class LayoutInfo {
    private String i;
    private Integer x;
    private Integer y;
    private Integer w;
    private Integer h;
    private boolean isStatic;

    private boolean isIframe;
    private String title;
    private String content; //记录前端结构的文本结构，前端需要JSON.stringify(). JSON.parse()

    private List<LayoutInfo> children;

    public String getI() {
        return i;
    }

    public void setI(String i) {
        this.i = i;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public Integer getY() {
        return y;
    }

    public void setY(Integer y) {
        this.y = y;
    }

    public Integer getW() {
        return w;
    }

    public void setW(Integer w) {
        this.w = w;
    }

    public Integer getH() {
        return h;
    }

    public void setH(Integer h) {
        this.h = h;
    }

    public boolean getStatic() {
        return isStatic;
    }

    public void setStatic(boolean aStatic) {
        isStatic = aStatic;
    }

    public boolean getIsIframe() {
        return isIframe;
    }

    public void setIsIframe(boolean iframe) {
        isIframe = iframe;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<LayoutInfo> getChildren() {
        return children;
    }

    public void setChildren(List<LayoutInfo> children) {
        this.children = children;
    }
}
